| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
ServiceManager::ServiceItem Struct Referencefinal

`#include <src/ApplicationMgr/ServiceManager.h>`

Collaboration diagram for ServiceManager::ServiceItem:
[legend]

## Public Member Functions
| ServiceItem (IService *s, long p=0, bool act=false)
bool | operator== (const std::string &name) const
bool | operator== (const IService *ptr) const
bool | operator< (const ServiceItem &rhs) const

## Public Attributes
SmartIF< IService > | service
long | priority
bool | active

## Detailed Description

Definition at line 38 of file ServiceManager.h.

## Constructor & Destructor Documentation

## ◆ ServiceItem()

ServiceManager::ServiceItem::ServiceItem | ( | IService * | s,
|  | long | p = `0`,
|  | bool | act = `false`
| ) |  |
| inline

Definition at line 39 of file ServiceManager.h.

39 : service( s ), priority( p ), active( act ) {}
ServiceManager::ServiceItem::priority
long priority
Definition: ServiceManager.h:41
ServiceManager::ServiceItem::active
bool active
Definition: ServiceManager.h:42
gaudirun.s
string s
Definition: gaudirun.py:316
ServiceManager::ServiceItem::service
SmartIF< IService > service
Definition: ServiceManager.h:40

## Member Function Documentation

## ◆ operator<()

bool ServiceManager::ServiceItem::operator< | ( | const ServiceItem & | rhs | ) | const
| inline

Definition at line 45 of file ServiceManager.h.

45 { return priority < rhs.priority; }
ServiceManager::ServiceItem::priority
long priority
Definition: ServiceManager.h:41

## ◆ operator==() [1/2]

bool ServiceManager::ServiceItem::operator== | ( | const std::string & | name | ) | const
| inline

Definition at line 43 of file ServiceManager.h.

43 { return service->name() == name; }
ServiceManager::name
const std::string & name() const override
Return the name of the manager (implementation of INamedInterface)
Definition: ServiceManager.h:110
ServiceManager::ServiceItem::service
SmartIF< IService > service
Definition: ServiceManager.h:40

## ◆ operator==() [2/2]

bool ServiceManager::ServiceItem::operator== | ( | const IService * | ptr | ) | const
| inline

Definition at line 44 of file ServiceManager.h.

44 { return service.get() == ptr; }
SmartIF::get
TYPE * get() const
Get interface pointer.
Definition: SmartIF.h:76
ServiceManager::ServiceItem::service
SmartIF< IService > service
Definition: ServiceManager.h:40

## Member Data Documentation

## ◆ active

bool ServiceManager::ServiceItem::active

Definition at line 42 of file ServiceManager.h.

## ◆ priority

long ServiceManager::ServiceItem::priority

Definition at line 41 of file ServiceManager.h.

## ◆ service

SmartIF<IService> ServiceManager::ServiceItem::service

Definition at line 40 of file ServiceManager.h.

The documentation for this struct was generated from the following file:

- GaudiCoreSvc/src/ApplicationMgr/ServiceManager.h